Update Influencer
curl --request PATCH \
--url https://api.example.com/influencers/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"style": "<string>",
"model": "<string>",
"images": [
"<string>"
],
"traits": {}
}
'import requests
url = "https://api.example.com/influencers/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"style": "<string>",
"model": "<string>",
"images": ["<string>"],
"traits": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
style: '<string>',
model: '<string>',
images: ['<string>'],
traits: {}
})
};
fetch('https://api.example.com/influencers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Influencers
Update Influencer
Update an existing influencer’s details or images.
PATCH
/
influencers
/
{id}
Update Influencer
Path Parameters
string
required
Influencer ID.
Body Parameters
All fields are optional. Only provided fields will be updated.string
Influencer name.
string
Description / prompt used to generate.
string
Art style:
realistic, anime, 3d, fashion, minimal.string
AI model used (e.g.
fal:flux-pro, higgsfield:soul).string[]
Array of image URLs. The first image is used as the avatar.
object
Character traits (demographics, face, hair, body, style).
Response
200
{
"id": "inf-uuid",
"name": "Amy",
"description": "A young woman...",
"style": "realistic",
"model": "fal:flux-pro",
"images": ["https://cdn.supapost.so/assets/...", "..."],
"updated_at": "2026-04-09T12:00:00Z"
}
⌘I